<html>
<head>
<title>Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">AutoConstantDefinition</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GpuProgramParameters::AutoConstantDefinition" -->
<p>Structure defining an auto constant that's available for use in a parameters object.  
 <a href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>&gt;</code></p>

<p><a href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#a8cba1c8038151f5451c1468817725277">AutoConstantDefinition</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> _acType, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;_name, size_t _elementCount, <a class="el" href="classOgre_1_1GpuProgramParameters.html#a39b96ad6d11ed0042375a0643c311046">ElementType</a> _elementType, <a class="el" href="classOgre_1_1GpuProgramParameters.html#a1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a> _dataType)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#a90e1d49cb2787182581adc8468e4c348">acType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#ae5ad78cdb1c72d317aaf994fdc801b6b">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#a3c85f97571e5e5a5eabbf7fb6895a3be">elementCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a39b96ad6d11ed0042375a0643c311046">ElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#afd666b79a5ca388640daf451d7da8c07">elementType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the constant in the program.  <a href="#afd666b79a5ca388640daf451d7da8c07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#abe44294de0ca95bbea253b60aec0c351">dataType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of any extra data.  <a href="#abe44294de0ca95bbea253b60aec0c351"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure defining an auto constant that's available for use in a parameters object. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01067">1067</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8cba1c8038151f5451c1468817725277"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition" ref="a8cba1c8038151f5451c1468817725277" args="(AutoConstantType _acType, const String &amp;_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#a8cba1c8038151f5451c1468817725277">Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&#160;</td>
          <td class="paramname"><em>_acType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>_elementCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a39b96ad6d11ed0042375a0643c311046">ElementType</a>&#160;</td>
          <td class="paramname"><em>_elementType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a>&#160;</td>
          <td class="paramname"><em>_dataType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01077">1077</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a90e1d49cb2787182581adc8468e4c348"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::acType" ref="a90e1d49cb2787182581adc8468e4c348" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#a90e1d49cb2787182581adc8468e4c348">Ogre::GpuProgramParameters::AutoConstantDefinition::acType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01069">1069</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="abe44294de0ca95bbea253b60aec0c351"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::dataType" ref="abe44294de0ca95bbea253b60aec0c351" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#abe44294de0ca95bbea253b60aec0c351">Ogre::GpuProgramParameters::AutoConstantDefinition::dataType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of any extra data. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01075">1075</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3c85f97571e5e5a5eabbf7fb6895a3be"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount" ref="a3c85f97571e5e5a5eabbf7fb6895a3be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#a3c85f97571e5e5a5eabbf7fb6895a3be">Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01071">1071</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="afd666b79a5ca388640daf451d7da8c07"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::elementType" ref="afd666b79a5ca388640daf451d7da8c07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a39b96ad6d11ed0042375a0643c311046">ElementType</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#afd666b79a5ca388640daf451d7da8c07">Ogre::GpuProgramParameters::AutoConstantDefinition::elementType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of the constant in the program. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01073">1073</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5ad78cdb1c72d317aaf994fdc801b6b"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::name" ref="ae5ad78cdb1c72d317aaf994fdc801b6b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#ae5ad78cdb1c72d317aaf994fdc801b6b">Ogre::GpuProgramParameters::AutoConstantDefinition::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01070">1070</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
